Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface PropertyValuesType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface PropertyValuesType

extends XmlObject

An XML propertyValuesType(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `PropertyValuesType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`PropertyValueType` | `addNewPropertyValue()` Appends and returns a new empty value (as xml) as the last "propertyValue" element
`PropertyValueType[]` | `getPropertyValueArray()` Gets array of all "propertyValue" elements
`PropertyValueType` | `getPropertyValueArray(int i)` Gets ith "propertyValue" element
`PropertyValueType` | `insertNewPropertyValue(int i)` Inserts and returns a new empty value (as xml) as the ith "propertyValue" element
`void` | `removePropertyValue(int i)` Removes the ith "propertyValue" element
`void` | `setPropertyValueArray(int i, PropertyValueType propertyValue)` Sets ith "propertyValue" element
`void` | `setPropertyValueArray(PropertyValueType[] propertyValueArray)` Sets array of all "propertyValue" element
`int` | `sizeOfPropertyValueArray()` Returns number of "propertyValue" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getPropertyValueArray

    PropertyValueType[] getPropertyValueArray()

  Gets array of all "propertyValue" elements

### getPropertyValueArray

    PropertyValueType getPropertyValueArray(int i)

  Gets ith "propertyValue" element

### sizeOfPropertyValueArray

    int sizeOfPropertyValueArray()

  Returns number of "propertyValue" element

### setPropertyValueArray

    void setPropertyValueArray(PropertyValueType[] propertyValueArray)

  Sets array of all "propertyValue" element

### setPropertyValueArray

    void setPropertyValueArray(int i,
                               PropertyValueType propertyValue)

  Sets ith "propertyValue" element

### insertNewPropertyValue

    PropertyValueType insertNewPropertyValue(int i)

  Inserts and returns a new empty value (as xml) as the ith "propertyValue" element

### addNewPropertyValue

    PropertyValueType addNewPropertyValue()

  Appends and returns a new empty value (as xml) as the last "propertyValue" element

### removePropertyValue

    void removePropertyValue(int i)

  Removes the ith "propertyValue" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD